# Changelog

<https://keepachangelog.com/>

Types of changes

- 'Added' for new features.
- 'Changed' for changes in existing functionality.
- 'Deprecated' for soon-to-be removed features.
- 'Removed' for now removed features.
- 'Fixed' for any bug fixes.
- 'Security' in case of vulnerabilities.

---

## TODOs

- set log level via config
- add sources for BB tagging and ACN background
- investigate if data caching is necessary (load-from-thredds)?
- scatter-plot: plot as line if sufficient data is available?

## v0.1.0 release

- when trajectory plotting is implemented?

## Backlog

- use a polars dataframe for better efficiency - if that turns out to be a bottleneck. (!) Keep this in mind when using pandas-specific functions.
- add tests
- add pre-commit
- get a DOI for the code

---

## [Unreleased]

## v0.0.17, 2025-03-31

### Added

- trajectory data loading from disk and thredds
- trajectory plotting
- backend: possibility to set log level in config file
- frontend: loading indicators for the plots

### Changed

- thredds functionality now part of ./src/data.py

## v0.0.16, 2025-03-28

### Added

- prepare checkbox to toggle trajectories plotting

### Changed

- revised callbacks; separate the one big figure-callback into multiple callbacks, in a separate file `./src/callbacks.py
- tweak css for dropboxes

## v0.0.15 - 2025-03-26

### Added

- secondary variable to plot (optional)
- info about BB flagging

### Changed

- app startup immediately fails if no datasets are found

## v0.0.14 - 2025-03-26

### Changed

- skip files that have no ACN data
- tweak layout so that flights dropdown list doesn't get mangled up

## v0.0.13 - 2025-03-26

### Added

- load data from THREDDS TDS
- load range of flights

### Changed

- replace 'draft' in titlebar with 'IAGOS-CARIBIC'
- put env.toml on gitignore list so that production and testing environment can have different configs

## v0.0.12 - 2025-03-24

### Added

- flight info
- variable info

### Changed

- get version number from latest git tag
- exclude processing variables from Variables dropdown
- clean-up of flight and variable selection

## v0.0.11 - 2025-03-24

### Added

- DotDict class for configuration

### Changed

- use DotDict class for app config

## v0.0.10 - 2025-03-21

initial upload
